Package org.bukkit

# Enum Class BanList.Type

java.lang.Object
java.lang.Enum<BanList.Type>
org.bukkit.BanList.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<BanList.Type>`, `Constable`

Enclosing interface:
  BanList

public static enum BanList.Type extends Enum<BanList.Type>
Represents a ban-type that a `BanList` may track.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IP`
Banned player IP addresses
`NAME`
Banned player names

## Method Summary

Modifier and Type
Method
Description
`static BanList.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BanList.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NAME

public static final BanList.Type NAME
Banned player names

### IP

public static final BanList.Type IP
Banned player IP addresses

## Method Details

### values

public static BanList.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BanList.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null